var xmlhttp_member = false;
getHTTPRequestObject();

function getHTTPRequestObject() //检查客户端所用的浏览器
{
    if (window.XMLHttpRequest)
    {
       xmlhttp_member = new XMLHttpRequest(); 
    } 
    else if (window.ActiveXObject) 
    {
       try
       { 
        //Internet Explorer
         xmlhttp_member = new ActiveXObject("Msxml2.XMLHTTP");
       } 
       catch (e1) 
       {
         try 
         {
             //Internet Explorer
             xmlhttp_member = new ActiveXObject("Microsoft.XMLHTTP");
         } 
         catch (e2)
         {
            xmlhttp_member = false;
         }
       }
    }
}